
Figure - Bug #117967
【IOV-28251】--【自动化测试】【稳定性测试】【VC】【副屏】com.android.gallery3d ANR
2023-05-16 19:47 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-16

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0095

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

测试手顺：

副屏执行monkey稳定性测试

预期结果：

无黑卡死等严重问题发生，无Crash、ANR、Tombstone内存泄露等

实际结果：

com.android.settings ANR

History

#1 - 2023-05-16 20:18 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117967/2023-05-16-%E5%89%AF%E5%B1%8F.tar.gz

#2 - 2023-05-17 10:33 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

从给的两个日志中，没有com.android.gallery3d ANR，但是发现下列问题，请帮助检查

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117967/2023-05-16-%E5%89%AF%E5%B1%8F.tar.gz

此日志中没有发现ANR

anr_2023-05-14-05-21-20-711

给的anr文件中，发现是已知的anr com.android.systemui:screenshot
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117967/2023-05-16-%E5%89%AF%E5%B1%8F.tar.gz
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117967/2023-05-16-%E5%89%AF%E5%B1%8F.tar.gz


这个听你描述说是连上中控喇叭就是OK的

------------------------------

"main" prio=5 tid=1 Native  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x72427b98 self=0xb400007b47d197b0  | sysTid=9089 nice=0 cgrp=default sched=0/0

handle=0x7d05c4c4f8  | state=S schedstat=( 96516510 30111766 122 ) utm=5 stm=4 core=2 HZ=100  | stack=0x7fdaab2000-0x7fdaab4000 stackSize=8188KB  | held

mutexes=

  native: #00 pc 00000000000a1c88  /apex/com.android.runtime/lib64/bionic/libc.so (_ioctl+8)

  native: #01 pc 000000000005b8d4  /apex/com.android.runtime/lib64/bionic/libc.so (ioctl+156)

  native: #02 pc 0000000000053070  /system/lib64/libbinder.so (android::IPCThreadState::talkWithDriver(bool)+292)

  native: #03 pc 00000000000542ac  /system/lib64/libbinder.so (android::IPCThreadState::waitForResponse(android::Parcel*, int*)+64)

  native: #04 pc 0000000000053ff0  /system/lib64/libbinder.so (android::IPCThreadState::transact(int, unsigned int, android::Parcel const&, android::Parcel*, unsigned

int)+224)

  native: #05 pc 000000000004bafc  /system/lib64/libbinder.so (android::BpBinder::transact(unsigned int, android::Parcel const&, android::Parcel*, unsigned int)+196)

  native: #06 pc 000000000001b3d0  /system/lib64/audioflinger-aidl-cpp.so

(android::media::BpAudioFlingerService::registerClient(android::sp<android::media::IAudioFlingerClient> const&)+928)

  native: #07 pc 000000000009faf0  /system/lib64/libaudioclient.so (android::AudioFlingerClientAdapter::registerClient(android::sp<android::media::IAudioFlingerClient>

const&)+112)

  native: #08 pc 000000000005dc58  /system/lib64/libaudioclient.so (android::AudioSystem::get_audio_flinger() (.cfi)+1556)

  native: #09 pc 0000000000085cd0  /system/lib64/libaudioclient.so (android::AudioTrack::createTrack_l()+68)

  native: #10 pc 000000000008afa0  /system/lib64/libaudioclient.so (android::AudioTrack::set(audio_stream_type_t, unsigned int, audio_format_t, audio_channel_mask_t,

unsigned long, audio_output_flags_t, void ()(int, void, void*), void*, int, android::sp<android::IMemory> const&, bool, audio_session_t,

android::AudioTrack::transfer_type, audio_offload_info_t const*, android::content::AttributionSourceState const&, audio_attributes_t const*, bool, float, int)+1736)

  native: #11 pc 0000000000082c88  /system/lib64/libaudioclient.so (android::AudioTrack::AudioTrack(audio_stream_type_t, unsigned int, audio_format_t,

audio_channel_mask_t, android::sp<android::IMemory> const&, audio_output_flags_t, void ()(int, void, void*), void*, int, audio_session_t,

android::AudioTrack::transfer_type, audio_offload_info_t const*, android::content::AttributionSourceState const&, audio_attributes_t const*, bool, float)+812)

  native: #12 pc 000000000000ef20  /system/lib64/libsoundpool.so (android::soundpool::Stream::play_l(std::_1::shared_ptr<android::soundpool::Sound> const&, int, float,

float, int, int, float, android::sp<android::AudioTrack>*)+1008)

  native: #13 pc 000000000000ea58  /system/lib64/libsoundpool.so (android::soundpool::Stream::playPairStream()+392)

  native: #14 pc 0000000000010288  /system/lib64/libsoundpool.so

(android::soundpool::StreamManager::queueForPlay(std::__1::shared_ptr<android::soundpool::Sound> const&, int, float, float, int, int, float)+904)

  native: #15 pc 000000000000d5e4  /system/lib64/libsoundpool.so (android::SoundPool::play(int, float, float, int, int, float)+452)

  at android.media.SoundPool._play(Native method)

  at android.media.SoundPool.play(SoundPool.java:316)

  at android.media.MediaActionSound$1.onLoadComplete(MediaActionSound.java:274)

  at android.media.SoundPool$EventHandler.handleMessage(SoundPool.java:556)

  at android.os.Handler.dispatchMessage(Handler.java:106)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

------------------------------

#3 - 2023-05-17 14:48 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CDTS_TEST 王成

HI 王成

■当前分析
1. 日志不足无法分析

----- pid 9089 at 2023-05-14 05:21:20.712358197+0800 -----

Cmd line: com.android.systemui:screenshot

从ANR文件来看，ANR发生时间是5-14号。

但是logcat的信息中，

时间又是5-15日，无法继续分析。

05-15 13:16:31.290   806 13932 I msm8974_platform: platform_get_custom_mtmx_params: no matching param with id 0 ip_ch 2 op_ch 2 uc_id 1 snd_dev 2

05-15 13:16:31.290   806 13932 D audio_hw_primary: enable_audio_route: apply mixer and update path: low-latency-playback

2.这个ANR报错的是录屏时触发声音时发生ANR.

当前该触发声音已经被AF去除，所以不会再发生该ANR的问题。

3.当前的ANR根据之前分析过得bug-117780来看，应该是没连接中控导致的。

下一步：

请尝试重新复现该问题，请确保连接中控的网线和音频线，谢谢！

#4 - 2023-05-23 14:07 - CDTS_TEST 王成

- Subject changed from 【IOV-28251】--【自动化测试】【稳定性测试】【HA1】【副屏】com.android.gallery3d ANR to 【IOV-28251】--【自动化测试】【

稳定性测试】【VC】【副屏】com.android.gallery3d ANR

客户处正在跑现复现中

#5 - 2023-05-30 16:31 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

客户已删除该bug

#6 - 2023-06-02 19:05 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#7 - 2023-06-02 19:05 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

anr_2023-05-14-05-21-20-711 1.66 MB 2023-05-16 CDTS_TEST 王成
